/*===============Propiedades Globales================*/

@import url("https://fonts.googleapis.com/css2?family=Cambria:wght@400;500;600;700&display=swap");

:root {
  --primary-color: #111317;
  --primary-color-light: #1f2125;
  --primary-color-extra-light: #35373b;
  --secondary-color: #6ABA41;
  --secondary-color-dark: #6ABA41;
  --text-light: #d1d5db;
  --white: #ffffff;
  --max-width: 100%;
}

* {
  font-family: "Cambria", sans-serif;
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

/*===================MENU==========================*/

.section__container {
  /* max-width: var(--max-width); */
  margin: auto;
  padding: 2rem 8rem;
}

.section__header { 
  margin-bottom: 1rem;
  font-size: 2 rem;
  font-weight: 600;
  /* text-align: center; */
  color: #6ABA41;
}

.section__subheader, .explore__event p  { /** para no repetir código, aprovechamos estos estilos para p de .section__event*/
  /* max-width: 600px; */
  margin: auto;
  text-align: right;
  color: var(--text-light);
}

.btn {
  font-family: Cambria, serif;
  padding: 1rem 2rem;
  outline: none;
  border: none;
  font-size: 1rem;
  font-weight: bold;
  color: black;
  background-color: #6ABA41;
  border-radius: 5px;
  cursor: pointer;
  transition: 0.3s;
}

.btn:hover {
  background-color: #6ABA41;
}

img {
  width: 100%;
  display: flex;
}

a {
  text-decoration: none;
}

.bg__blur {
  position: absolute;
  box-shadow: 0 0 1000px 50px var(--secondary-color);
  z-index: -1;
}

body {
  font-family: "Cambria", sans-serif;
  background-color: var(--primary-color);
}

nav {
  max-width: var(--max-width);
  margin: auto;
  padding: 1rem 4rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
}

.nav__logo {
  width: 180px;
}

.nav__logo2 {
  max-width: 120px;
}

.nav__links {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 3rem;
}

.link a {
  position: relative;
  padding-bottom: 0.75rem;
  color: #6ABA41;
  font-weight: bold;
}

.link a::after {
  content: "";
  position: absolute;
  height: 2px;
  width: 0;
  left: 0;
  bottom: 0;
  background-color: #6ABA41;
  transition: 0.3s;
}

.link a:hover::after {
  width: 50%;
}

/*===================NUESTROS SERVICIOS==========================*/

/* =====================================
   SERVICIOS
===================================== */

.servicios-home{
    /* background:#000; */
    padding: 1rem 8rem 4rem;
}

.encabezado-servicios{
    text-align:center;
    margin-bottom:30px;
}

.encabezado-servicios .subtitulo{
    display:block;
    color:#5dc64a;
    font-size:24px;
    font-weight:700;
    letter-spacing:2px;
    text-transform:uppercase;
    margin-bottom:20px;
}

.encabezado-servicios h2{
    color:#fff;
    font-size:48px;
    line-height:1.1;
    font-weight:700;
    margin:0;
}

/* GRID */

.grid-servicios{
    max-width:1500px;
    margin:auto;

    display:flex;
    flex-wrap:wrap;
    justify-content:center;
    gap:25px;
}

/* TARJETAS */

.card-servicio{
    position:relative;

    flex:0 0 calc(20% - 20px); /* 5 por fila */

    /* min-height:260px; */
    background:#000;
    border-radius:12px;
    padding:1rem;
    text-align:center;
    text-decoration:none;
    overflow:hidden;

    border:0.1rem solid #8fff57;

    box-shadow:
    0 0 5px #8fff57,
    0 0 5px rgba(143,255,87,.8),
    inset 0 0 5px rgba(143,255,87,.2);

    transition:.4s ease;
}

.card-servicio:hover{
    transform:translateY(-10px);

    box-shadow:
    0 0 10px #8fff57,
    0 0 10px #8fff57,
    0 0 10px rgba(143,255,87,.9);
}

.card-servicio img{
    /* width:95px; */
    height:95px;
    object-fit:contain;
    margin-bottom:25px;
}

.card-servicio h3{
    color:#fff;
    font-size:18px;
    line-height:1.35;
    font-weight:600;
    margin:0;
}

/* RESPONSIVE */

@media(max-width:1200px){

    .card-servicio{
        flex:0 0 calc(33.333% - 20px);
    }

}
@media(max-width:768px){

    .card-servicio{
        flex:0 0 calc(50% - 15px);
    }

}
@media(max-width:480px){

    .card-servicio{
        flex:0 0 100%;
    }

}

@media(max-width:768px){

    .servicios-home{
        padding:70px 20px;
    }

    .encabezado-servicios h2{
        font-size:38px;
    }

    .grid-servicios{
        grid-template-columns:1fr;
    }

    .card-servicio{
        min-height:auto;
    }

}


/*===================CLIENTES==========================*/

/*==================================
CLIENTES
==================================*/

/*==================================
CLIENTES
==================================*/

.clientes{
    padding:120px 40px;
    background:#1f1f1f;
    overflow:hidden;
}

.contenedor-clientes{
    max-width:1600px;
    margin:auto;
}

.clientes h2{
    text-align:center;
    color:#fff;
    font-size:54px;
    margin-bottom:70px;
}

/* VIEWPORT */

.clientes__viewport{
    overflow:hidden;
    width:100%;
}

/* TRACK */

.clientes__track{

    display:flex;
    gap:30px;

    transition:transform .45s ease;
    will-change:transform;
}

/* TARJETAS */

.cliente-item{

    flex:0 0 calc(20% - 24px);

    height:180px;

    display:flex;
    align-items:center;
    justify-content:center;

        /* box-shadow:
    0 10px 25px rgba(0,0,0,.35); */

    /* padding:25px;

    border-radius:10px; */
}

.cliente-item img{

    width:100%;
    height:100%;

    object-fit:contain;
}

/* RESPONSIVE */

@media(max-width:992px){

    .cliente-item{
        flex:0 0 calc(33.333% - 20px);
    }

}

@media(max-width:768px){

    .cliente-item{
        flex:0 0 calc(50% - 15px);
    }

}

@media(max-width:480px){

    .cliente-item{
        flex:0 0 100%;
    }

}



/*===================COMPROMISOS==========================*/

/* =====================================
   COMPROMISOS
===================================== */

/*=================================
POR QUÉ ELEGIR
=================================*/

.porque-elegir{
    position:relative;

    background-image:url("assets/porque.jpg");
    background-position:center;
    background-size:cover;
    background-repeat:no-repeat;

    padding:120px 40px;
    overflow:hidden;
}

.porque-elegir .overlay{
    position:absolute;
    inset:0;

    background:
    linear-gradient(
        rgba(0,0,0,.75),
        rgba(0,0,0,.75)
    );

    z-index:1;
}

.porque-elegir .contenedor{
    position:relative;
    z-index:2;
    max-width:1600px;
    margin:auto;
}

.porque-elegir h2{
    text-align:center;
    color:#fff;

    font-size:40px;
    font-weight:700;

    margin-bottom:100px;
}

/* BENEFICIOS */

.grid-beneficios{
    display:grid;
    grid-template-columns:repeat(4,1fr);
    gap:50px;
}

.beneficio{
    display:flex;
    align-items:flex-start;
    gap:25px;
}

.icono img{
    width:120px;
    height:120px;
    object-fit:contain;

    /* filter:
    drop-shadow(0 0 8px #7fff00)
    drop-shadow(0 0 15px #7fff00); */
}

.contenido h3{
    color:#fff;
    font-size:30px;
    margin-bottom:15px;
}

.contenido p{
    color:#d6d6d6;
    font-size:20px;
    line-height:1.6;
    margin:0;
}





@media(max-width:1400px){

    .grid-beneficios{
        grid-template-columns:repeat(2,1fr);
    }

}

@media(max-width:768px){

    .porque-elegir{
        padding:80px 20px;
    }

    .porque-elegir h2{
        font-size:38px;
        margin-bottom:60px;
    }

    .grid-beneficios{
        grid-template-columns:1fr;
        gap:40px;
    }

    .beneficio{
        flex-direction:column;
        align-items:center;
        text-align:center;
    }

    .icono img{
        width:90px;
        height:90px;
    }

    .contenido h3{
        font-size:28px;
    }

    .contenido p{
        font-size:18px;
    }

}






/*===================HEADER==========================*/

.header__container {
  max-width: var(--max-width);
  width: 100%;
  height: 600px;

background:
linear-gradient(
rgba(0,0,0,.55),
rgba(0,0,0,.55)
),
url("assets/Imagen_portada.jpg");
  background-repeat: no-repeat;
  background-position: center center;
  background-size: cover;

  overflow: hidden;
}


.header__container::before {
    width: 100%;
    height: 709px;

    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    opacity: 1;
    position: absolute;
    top: 0px;
    left: 0px;
    overflow: hidden;
}

.header__blur {
  bottom: 5rem;
  right: 0;
}

.header__content h4 {
  margin-bottom: 1rem;
  font-size: 1rem;
  font-weight: 600;
  color: var(--secondary-color-dark);
}

.header__content h1 {
  margin-bottom: 1rem;
  font-size: 4rem;
  font-weight: 700;
  line-height: 6rem;
  color: var(--white);
}

.header__content h1 span {
  color: #6ABA41;
}

.header__content p{
  margin-bottom: 2rem;
  color: var(--text-light);
  font-size: x-large;
}

.header__image {
  position: relative;
}

/* .header__image::before {
  content: "o";
  position: absolute;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  font-size: 40rem;
  font-weight: 400;
  line-height: 20rem;
  color: var(--secondary-color);
  opacity: 0.1;
  z-index: -1;
} */

.header__image img {
  max-width: 350px;
  margin: auto;
}

.explore__header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
}

.explore__nav {
  display: flex;
  align-items: center;
  gap: 2rem;
}

.explore__nav span {
  padding: 0 6px;
  font-size: 1.5rem;
  color: var(--white);
  border: 2px solid var(--white);
  border-radius: 100%;
  cursor: pointer;
  transition: 0.3s;
}

.explore__nav span:hover {
  color: var(--secondary-color);
  border-color: var(--secondary-color);
}








/*=================== EVENTO ==========================*/

/** para no repetir código, aprovechamos estos estilos para .section__header y el p de .section__subheader*/
.trainingymtour{ 
  width: 23rem;
  max-width: 600px;
  margin: auto;
  text-align: center;
  padding-bottom: 1rem;
} 

.section__event { 
  font-size: 3.5rem;
  font-weight: 600;
  text-align: center;
  color: var(--text-light);
}

.contador{
  width: 100%;
  min-height: 30vh;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  padding-top: 1rem;
}
.countdown{
  display: flex;
  justify-content: space-evenly;
  width: 50%;
  flex-wrap: wrap;
}
.countdown article{
  display: grid;
  place-items: center;
  padding: 10px;
}

.countdown p{
  display: grid;
  place-items: center;
  /*border: solid 1px var(--white);*/
  height: 80px;
  width: 80px;
  border-radius: 50%;
  color: var(--white);
  font-size: 1.5rem;
  font-weight: bold;
  background-color: var(--secondary-color);
}

.timer{
  display: block;
  padding: 10px;
  text-align: center;
  color: var(--primary-color-extra-light);
  font-size: 1.5rem;
  font-weight: 400;
}


/*===================         ==========================*/

.explore__grid {
  margin-top: 4rem;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 2rem;
}

.explore__card {
  padding: 1rem;
  background-color: var(--primary-color-light);
  border: 2px solid transparent;
  border-radius: 10px;
  transition: 0.3s;
}

.explore__card:hover {
  background-color: var(--primary-color-extra-light);
  border-color: var(--secondary-color);
}

.explore__card span {
  display: inline-block;
  padding: 2px 9px;
  margin-bottom: 1rem;
  font-size: 1.75rem;
  color: var(--white);
  background-color: var(--secondary-color-dark);
  border-radius: 5px;
}

.explore__card h4 {
  margin-bottom: 0.5rem;
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--white);
}

.explore__card p {
  margin-bottom: 1rem;
  color: var(--text-light);
}

.explore__card a {
  color: var(--white);
  transition: 0.3s;
}

.explore__card a:hover {
  color: var(--secondary-color);
}

.class__container {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
  font-size: 1 rem;
  padding: 2rem 2rem;
  text-align: justify;
}

.class__image {
  position: relative;

    
  display: flex;
  align-items: center; /* Alineación vertical */
  justify-content: center; /* Alineación horizontal (opcional) */
  height: 100%; /* Es necesario darle un alto al contenedor */
}

.class__image .class__img-1 {
  position: absolute;
  right: 0;
  /* top: 0; */
  max-width: 100%;
  border-radius: 10px;
}

.class__image .class__img-2 {
  position: absolute;
  right: 0;
  bottom: 10%;
  max-width: 300px;
  border-radius: 10px;
}

.class__content {
  padding: 2rem 0;
}

.section__header {
  /* text-align: right; */
  /* max-width: 400px; */
}

.section__header span{
  /* text-align: right; */
  color: var(--secondary-color);
  /* max-width: 400px; */
}

.class__content p {
  margin-bottom: 1rem;
  color: var(--text-light);
}

.join__image {
  margin-top: 4rem;
  position: relative;
}

.join__image img {
  border-radius: 10px;
}

.join__grid {
  position: absolute;
  bottom: -5rem;
  width: calc(100% - 4rem);
  padding: 2rem;
  margin: 0 2rem;
  display: flex;
  flex-wrap: wrap;
  gap: 2rem;
  background-color: var(--primary-color-light);
  border-radius: 10px;
}

.join__card {
  flex: 1 1 250px;
  display: flex;
  align-items: center;
  gap: 1rem;
}

.join__card span {
  padding: 10px 24px;
  font-size: 3rem;
  color: var(--white);
  background-color: var(--secondary-color-dark);
  border-radius: 15px;
}

.join__card h4 {
  margin-bottom: 0.1rem;
  font-size: 1.2rem;
  font-weight: 500;
  color: var(--white);
}

.join__card p {
  color: var(--text-light);
}

.price__grid {
  margin-top: 4rem;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
}

.price__card {
  padding: 3rem 2rem;
  display: flex;
  flex-direction: column;
  background-color: var(--primary-color-light);
  border: 2px solid transparent;
  border-radius: 10px;
  transition: 0.3s;
}

.price__card:hover {
  background-color: var(--primary-color-extra-light);
  border-color: var(--secondary-color);
}

.price__card__content {
  flex: 1;
  margin-bottom: 2rem;
}

.price__card h4 {
  margin-bottom: 1rem;
  font-size: 1.2rem;
  font-weight: 500;
  color: var(--white);
}

.price__card h3 {
  padding-bottom: 1rem;
  margin-bottom: 2rem;
  font-size: 2rem;
  font-weight: 600;
  color: var(--white);
  border-bottom: 2px solid var(--white);
}

.price__card p {
  margin-bottom: 0.75rem;
  color: var(--white);
}

.price__card p i {
  margin-right: 0.5rem;
  font-size: 1.2rem;
  color: var(--secondary-color);
}

.price__btn {
  color: var(--secondary-color);
  background-color: transparent;
  border: 2px solid var(--secondary-color);
}

.price__btn:hover {
  color: var(--white);
  background-color: var(--secondary-color);
}

.review {
  background-color: var(--primary-color-light);
}

.review__container {
  display: flex;
  gap: 2rem;
}

.review__container > span {
  font-size: 6rem;
  color: var(--secondary-color);
  opacity: 0.5;
}

.review__content {
  flex: 1;
}

.review__content h4 {
  margin-bottom: 1rem;
  font-size: 1.3rem;
  font-weight: 600;
  color: var(--white);
}

.review__content p {
  max-width: 800px;
  margin-bottom: 2rem;
  color: var(--text-light);
}

.review__rating span {
  font-size: 1.5rem;
  color: var(--secondary-color);
}

.review__footer {
  margin-top: 4rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 2rem;
}

.review__member {
  display: flex;
  align-items: flex-start;
  gap: 1rem;
}

/* TESTIMONIOS: avatar circular y recorte */
#comunidad .review__member img{
  width: 64px;              /* ajusta si quieres más grande */
  height: 64px;             /* fuerza 1:1 */
  border-radius: 50%;       /* círculo perfecto */
  object-fit: cover;        /* recorta para llenar el círculo */
  object-position: center;  /* centra el recorte */
  display: block;           /* elimina espacios fantasmas */
}


.review__member__details h4 {
  margin-bottom: 0;
}

.review__nav {
  display: flex;
  align-items: center;
  gap: 2rem;
}

.review__nav span {
  font-size: 2rem;
  color: var(--secondary-color);
  cursor: pointer;
}
/*=========================FORMULARIO================================*/

/*==================================
CONTACTO
==================================*/

.contacto-home{
    position:relative;

    padding:2rem 8rem;

    background:url("assets/FONDO_COMPROMISOS.jpg");
    background-size:cover;
    background-position:center;

    overflow:hidden;
}

.overlay-contacto{
    position:absolute;
    inset:0;

    background:rgba(0,0,0,.75);

    z-index:1;
}

.contenedor-contacto{
    position:relative;
    z-index:2;

    max-width:1500px;
    margin:auto;

    display:grid;
    grid-template-columns:2fr 1fr;
    gap:80px;

    align-items:start;
}

/* TITULOS */

.subtitulo-contacto{
    display:block;

    color:#6fc043;

    font-size:30px;
    font-weight:700;

    margin-bottom:30px;
}

.contacto-formulario h2{
    color:#fff;

    font-size:20px;
    line-height:1.4;

    margin-bottom:40px;
}

/* FORM */

.fila-campos{
    display:grid;
    grid-template-columns:repeat(3,1fr);
    gap:20px;

    margin-bottom:20px;
}

.contacto-formulario input,
.contacto-formulario textarea{
    width:100%;

    background:#2c2c2c;
    border:none;

    padding:22px 25px;

    color:#fff;

    font-size:16px;
}

.contacto-formulario input::placeholder,
.contacto-formulario textarea::placeholder{
    color:#8d8d8d;
}

.contacto-formulario textarea{
    min-height:160px;
    resize:none;

    margin-bottom:25px;
}

/* BOTON */

.contacto-formulario button{
    background:#6fc043;

    color:#fff;

    border:none;

    padding:22px 60px;

    font-size:18px;
    font-weight:700;

    cursor:pointer;

    transition:.3s;
}

.contacto-formulario button:hover{
    transform:translateY(-3px);
}

/* INFO */

.contacto-info h3{
    color:#fff;
    margin-bottom:40px;
}

.contacto-info ul{
    list-style:none;
    padding:0;
    margin:0;
}

.contacto-info li{
    display:flex;
    align-items:center;

    gap:20px;

    margin-bottom:30px;

    color:#fff;

    font-size:20px;
    font-weight:600;
}

.contacto-info img{
    width:30px;
    height:30px;

    /* filter:
    drop-shadow(0 0 5px #6fc043)
    drop-shadow(0 0 10px #6fc043); */
}


/*=========================top-button================================*/

figcaption {
  display: flex;
  justify-content: flex-end;
  padding: 50px;
  position: fixed;
  bottom: 20px;
  right: 0px;
  z-index: 9999;
}


.top-button {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--text-light);
  color: var(--primary-color-light:);
  width: 40px;
  height: 40px;
  border-radius: 50%;
  text-decoration: none;
  position: fixed;
  font-size: 24px;
  box-shadow: 0 2px 5px rgba(0,0,0,0.2);
  transition: background-color 0.3s ease;
}



.top-button:hover {
  background-color: var(--secondary-color-dark);
}

/*=========================FOOTER================================*/

.footer__container {
  position: relative;
  display: grid;
  grid-template-columns: 400px repeat(3, 1fr);
  gap: 2rem;
}

.footer__blur {
  bottom: 0;
  right: 0;
}

.footer__logo {
  max-width: 150px;
  margin-bottom: 2rem;
}

.footer__col p {
  margin-bottom: 2rem;
  color: var(--text-light);
}

.footer__socials {
  display: flex;
  align-items: center;
  gap: 1rem;
}

.footer__socials a {
  padding: 5px 10px;
  font-size: 1.25rem;
  color: var(--secondary-color);
  border: 1px solid var(--secondary-color);
  border-radius: 100%;
  transition: 0.3s;
}

.footer__socials a:hover {
  color: var(--white);
  background-color: var(--secondary-color);
}

.footer__col h4 {
  margin-bottom: 2rem;
  font-size: 1.2rem;
  font-weight: 500;
  color: var(--white);
}

.footer__col > a {
  display: block;
  margin-bottom: 1rem;
  color: var(--text-light);
  transition: 0.3s;
}

.footer__col > a:hover {
  color: var(--secondary-color);
}

.footer__bar {
  max-width: var(--max-width);
  margin: auto;
  padding: 1rem;
  font-size: 0.8rem;
  color: var(--white);
  display: flex;
  justify-content: space-between;
}

/*=========================MEDIA QUERIES ================================*/

@media (width < 900px) {
  .nav__links {
    display: none;
  }

  .header__container {
    grid-template-columns: repeat(1, 1fr);
  }

  .header__image {
    grid-area: 1/1/2/2;
  }

  .explore__grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
  }

  .class__container {
    grid-template-columns: repeat(1, 1fr);
  }

  .class__image {
    min-height: 500px;
  }

  .price__grid {
    grid-template-columns: repeat(2, 1fr);
  }

  .review__container {
    gap: 2rem;
  }

  .footer__container {
    grid-template-columns: 1fr 200px;
  }
}

@media (width < 600px) {
  .explore__header {
    flex-direction: column;
  }

  .explore__grid {
    grid-template-columns: repeat(1, 1fr);
  }

  .join__container {
    margin-bottom: 15rem;
  }

  .join__grid {
    width: 100%;
    margin: 0;
    bottom: -20rem;
  }

  .price__grid {
    grid-template-columns: repeat(1, 1fr);
  }

  .review__container {
    flex-direction: column;
    gap: 0;
  }

  .review__footer {
    flex-direction: column;
  }

  .footer__container {
    grid-template-columns: 1fr 150px;
  }

  .footer__bar {
    text-align: center;
  }
}






/* ================================
   FORMULARIO
   ================================ */
 @media(max-width:1200px){

    .contenedor-contacto{
        grid-template-columns:1fr;
        gap:60px;
    }

}

@media(max-width:768px){

    .contacto-home{
        padding:80px 20px;
    }

    .fila-campos{
        grid-template-columns:1fr;
    }

    .contacto-formulario h2{
        font-size:28px;
    }

    .contacto-info li{
        font-size:16px;
    }

    .contacto-formulario button{
        width:100%;
    }

}

/* ================================
   CLIENTES
   ================================ */

   @media(max-width:1200px){

    .cliente-item{
        width:200px;
        height:140px;
    }

}

@media(max-width:768px){

    .clientes{
        padding:80px 20px;
    }

    .clientes h2{
        font-size:38px;
        margin-bottom:50px;
    }

    .clientes-grid{
        gap:20px;
    }

    .cliente-item{
        width:160px;
        height:120px;
    }

}

@media(max-width:480px){

    .cliente-item{
        width:100%;
        max-width:280px;
    }

}